[tools]
deno = "latest"
jujutsu = "latest"
rebar = "latest"
rust = { version = "nightly", components = "rust-analyzer,clippy,rustc-codegen-cranelift-preview" }
watchexec = "latest"
"github:sass/dart-sass" = "1.89.2"

[tasks.dev-services]
run = "docker compose up"
dir = "./dev-services"

[tasks.server]
run = "cargo run serve"
description = "Run the server. For development: `mise watch --restart serve`."
sources = ["**/*.rs", "**/*.html"]

[tasks.build-svelte]
run = "deno run -A npm:vite build"
dir = "./svelte"
sources = ["svelte/src/**/*.ts", "svelte/src/**/*.svelte"]

[tasks.build-css]
run = "sass sass/:css_dist/"
sources = ["sass/**/*.scss"]

[env]
RUST_LOG = "debug"
RUST_BACKTRACE = "1"
